module Lindale
  module RoomBox
    require 'sketchup'
    require 'extensions'

    unless file_loaded?(__FILE__)

      ext = SketchupExtension.new('RoomBox', 'roombox/src/main')
      ext.version = '1.0.0-beta6'
      ext.creator = 'Lindalë'
      ext.copyright = "Lindalë SARL © #{Time.now.year}"
      ext.description = 'Instill life into your SketchUp models by quickly & easily populating facades with ready-to-render rooms'

      Sketchup.register_extension(ext, true)

      file_loaded(__FILE__)
    end
  end
end
